Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Classes | Typedefs | Enumerations | Functions
agora::base Namespace Reference

## Classes
struct | AgoraServiceConfigEx
struct | AgoraServiceConfiguration
class | AParameter
struct | AudioSessionConfiguration
class | IAgoraParameter
class | IAgoraService
class | IAgoraServiceEx
class | IEngineBase
class | IParameterEngine
class | IServiceObserver
class | ISyncClient
class | ISyncClientEx
class | ISyncClientObserver
class | ISyncTransport
class | ISyncTransportObserver
class | LicenseCallback
class | NtpTime
struct | SyncConfig

## Typedefs
typedef std::function< void(SyncClientError, const char *, size_t, bool)> | QueryCallbackFunc
typedef std::function< void(SyncClientError, const char *)> | DataBaseOpCallbackFunc
typedef std::function< void(SyncClientError, const char *, const char *)> | CollectionOpCallbackFunc
typedef void(* | syncClientCallback) (SyncClientError, void *)
typedef void(* | dataBaseOpCallback) (SyncClientError, const char *, void *)
typedef void(* | collectionOpCallback) (SyncClientError, const char *, const char *, void *)
typedef void(* | queryDocCallback) (SyncClientError error, const char *resultJson, size_t count, bool more, void *userData)

## Enumerations
enum | TMixMode { MIX_ENABLED , MIX_DISABLED }
enum | MediaEngineType { MEDIA_ENGINE_WEBRTC , MEDIA_ENGINE_EMPTY , MEDIA_ENGINE_UNKNOWN }
enum | SyncClientError { kOk = 0 , kFail = -1 , kConnectSyncFailed = -2 , kConnectDatabaseFailed = -3 , kDisconnectDatabaseFailed = -4 , kDatabaseNotConnected = -5 , kCreateCollectionFailed = -6 , kCollectionNotCreated = -7 , kCollectionExisted = -8 , kInvalidParams = -9 , kNotLoggedIn = -10 , kQueryDocFailed = -11 , kDocNotCreated = -12 }
enum | SyncEventType { kInserted = 0 , kPut = 1 , kDeleted = 2 , kToBeInserted = 3 , kToBePut = 4 , kToBeDeleted = 5 , kTransactionBegin = 6 , kTransactionEnd = 7 , kDocSyncEnd = 8 , kInitialized = 9 }
enum | OP_Privilege { OP_READ , OP_WRITE }

## Functions
IAgoraServiceEx * | GetService ()
bool | operator== (const NtpTime &n1, const NtpTime &n2)
bool | operator!= (const NtpTime &n1, const NtpTime &n2)

## Typedef Documentation

## ◆ QueryCallbackFunc

typedef std::function<void(SyncClientError, const char*, size_t, bool)> agora::base::QueryCallbackFunc

## ◆ DataBaseOpCallbackFunc

typedef std::function<void(SyncClientError, const char*)> agora::base::DataBaseOpCallbackFunc

## ◆ CollectionOpCallbackFunc

typedef std::function<void(SyncClientError, const char*, const char*)> agora::base::CollectionOpCallbackFunc

## ◆ syncClientCallback

typedef void(* agora::base::syncClientCallback) (SyncClientError, void *)

## ◆ dataBaseOpCallback

typedef void(* agora::base::dataBaseOpCallback) (SyncClientError, const char *, void *)

## ◆ collectionOpCallback

typedef void(* agora::base::collectionOpCallback) (SyncClientError, const char *, const char *, void *)

## ◆ queryDocCallback

typedef void(* agora::base::queryDocCallback) (SyncClientError error, const char *resultJson, size_t count, bool more, void *userData)

## Enumeration Type Documentation

## ◆ TMixMode

enum agora::base::TMixMode

The audio mixing mode.

Enumerator
MIX_ENABLED | Mix all the local audio tracks in the channel.
MIX_DISABLED | Do not mix the local audio tracks in the channel.

## ◆ MediaEngineType

enum agora::base::MediaEngineType

Enumerator
MEDIA_ENGINE_WEBRTC | The WebRTC engine.
MEDIA_ENGINE_EMPTY | An empty engine.
MEDIA_ENGINE_UNKNOWN | An unknown engine.

## ◆ SyncClientError

enum agora::base::SyncClientError

Enumerator
kOk |
kFail |
kConnectSyncFailed |
kConnectDatabaseFailed |
kDisconnectDatabaseFailed |
kDatabaseNotConnected |
kCreateCollectionFailed |
kCollectionNotCreated |
kCollectionExisted |
kInvalidParams |
kNotLoggedIn |
kQueryDocFailed |
kDocNotCreated |

## ◆ SyncEventType

enum agora::base::SyncEventType

Enumerator
kInserted |
kPut |
kDeleted |
kToBeInserted |
kToBePut |
kToBeDeleted |
kTransactionBegin |
kTransactionEnd |
kDocSyncEnd |
kInitialized |

## ◆ OP_Privilege

enum agora::base::OP_Privilege

Enumerator
OP_READ |
OP_WRITE |

## Function Documentation

## ◆ GetService()

IAgoraServiceEx * agora::base::GetService | ( |  | ) |

## ◆ operator==()

bool agora::base::operator== | ( | const NtpTime & | n1,
|  | const NtpTime & | n2 )
| inline

## ◆ operator!=()

bool agora::base::operator!= | ( | const NtpTime & | n1,
|  | const NtpTime & | n2 )
| inline